/*
 * This file contains the code to implement the finish page for setup
 */

define([
        'common/CustomPages/AppSetupPages/AppSetupManager',
        'common/CustomPages/AppSetupPages/SetupConfigManager',
        'splunk_app_windows_infrastructure/setup/AppSetupConfigs/WinfraSetupConfig',
        'splunk_app_windows_infrastructure/WinfraConstants',
        '/static/app/splunk_app_windows_infrastructure/js/swc-windows-infrastructure/index.js',
        '/static/app/splunk_app_windows_infrastructure/js/common/contrib/underscore.js',
        '/static/app/splunk_app_windows_infrastructure/js/common/contrib/jquery-3.5.0.min.js'
        ],
        function(
            AppSetupManager,
            SetupConfigManager,
            WinfraSetupConfig,
            WinfraConstants,
            index
            )
{   const mvc = index.SplunkjsMVC;
    const SearchManager = index.SearchManager;
    var webUrl = WinfraConstants.getSplunkWebUrl();

    var finish_page = {
        addPageParts: function(parentEl) {
          	// tSession_search = new SearchManager({
            //     search: "| outputlookup tSessions" 
            // });
            // tSession_search.on("search:done", function(){
            //     new SearchManager({
            //         search: "| savedsearch tSessions_Lookup_Update_One_Time" 
            //     });
            // });

            var splunkservice = mvc.createService();
            splunkservice.get('/admin/msftapps_winfra_html',
            {"filename":"finish_page.html"}, 
            function(error, data) {
                if (!error){
                    var PageMarkup = data["data"]["entry"][0]["content"]["html_markup"]
                    parentEl.html(PageMarkup.replace(/\/dj\//g, webUrl + 'dj/'));

                    SetupConfigManager.build(WinfraSetupConfig.get());
            
                    AppSetupManager.getNav(SetupConfigManager, function(nav) {
                    // Disable links to features in sections that were removed from nav
                    // by admin
                    var sectionShortcuts = [
                        {section: 'Windows', linkSel: '#windows-home'},
                        {section: 'Active Directory', linkSel: '#ad-home'}
                    ];
                    
                    _.each(sectionShortcuts, function(sectionShortcut) {
                                if (!nav.isSectionInNav(sectionShortcut.section)) {
                                    $(sectionShortcut.linkSel).addClass('disabled');
                                }
                            });
                        });
                    }
                    else{
                        console.error("Error while loading html:", error);
                    }
           
            })
        },
        
        getPageLabel: function() {
            return 'Finish';
        },
        
        getNextLabel: function() {
            return 'Done';
        },

        validateNext: function() {
            // Next should not be allowed on this page
            return false;
        }
    };
    
    return finish_page;
});
